type StringOrNumber = string | number

export type SankeyConfig = {
  data:SankeyNodes[];
  links:SankeyLinks[];
} & SankeySeriesImpl
  & SankeyStyle;

export type SankeySeriesImpl = {
  type: string;
}

export type SankeyNodes = {
  name:string
}

export type SankeyLinks = {
  source: StringOrNumber,
  target: StringOrNumber,
  value: StringOrNumber
}

export type SankeyData = {
  nodes:SankeyNodes[]
  links:SankeyLinks[]
};

export type SankeyStyle = {
  [key: string]: any;
}
